Subject: Re: bug#26339: problem with commit abae042

From: Leo Famulari <[email-masked]>
Date: Sat, 15 Apr 2017 19:18:19 -0400

On Sat, Apr 15, 2017 at 08:17:59PM +0200, Mathieu Othacehe wrote:
> 
> I think there's a problem with commit abae042 :
> 
> * profile-grub-entries become unused and is still present.
> * When using switch-generation, operating-system-bootcfg is not
> * called. So, the kernel arguments are not correctly set (--root,
> * --system and --load), and the resulting entries in grub.cfg are broken.

This should be reverted immediately, since the master branch is what
users get from `guix pull`, so we really must not break it.